// VCDlg.h : header file
//
#if !defined(AFX_VCDLG_H__BA0735C3_526C_48DA_8E39_8F5312CA83A5__INCLUDED_)
#define AFX_VCDLG_H__BA0735C3_526C_48DA_8E39_8F5312CA83A5__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CVCDlg dialog

class CVCDlg : public CDialog
{
// Construction
public:
	CVCDlg(CWnd* pParent = NULL);	// standard constructor
	void InitCbo();
	void InitHardware();
	void InitVariables();
	void ProcessData();
	void GetSamplingAndTime();
// Dialog Data
	//{{AFX_DATA(CVCDlg)
	enum { IDD = IDD_VC_DIALOG };
	CButton	m_btnStop;
	CButton	m_btnStart;
	CEdit	m_editCh2Trigger;
	CButton	m_btnCh2Trigger;
	CButton	m_btnCh1Trigger;
	CEdit	m_editCh1Trigger;
	CButton	m_btnAutoset;
	CStatic	m_MainPanel;
	CComboBox	m_cboTriggerSource;
	CComboBox	m_cboTriggerMode;
	CComboBox	m_cboTIMEBASE;
	CComboBox	m_cboCh2Voltage;
	CComboBox	m_cboCh1Voltage;
	int		m_txtCh1Position;
	int		m_txtCh1Trigger;
	int		m_txtCh2Position;
	int		m_txtCh2Trigger;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CVCDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CVCDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnTimer(UINT nIDEvent);
	afx_msg void OnBtnCh1positionOk();
	afx_msg void OnBtnCh1triggerOk();
	afx_msg void OnBtnCh2positionOk();
	afx_msg void OnBtnCh2triggerOk();
	afx_msg void OnSelchangeCboCh1voltage();
	afx_msg void OnSelchangeCboCh2voltage();
	afx_msg void OnSelchangeCboTriggersource();
	afx_msg void OnSelchangeCboTriggermode();
	afx_msg void OnSelchangeCboTimebase();
	afx_msg void OnBtnAutoset();
	afx_msg void OnBtnStart();
	afx_msg void OnBtnStop();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_VCDLG_H__BA0735C3_526C_48DA_8E39_8F5312CA83A5__INCLUDED_)
